      PROGRAM RZ2XML
c     ----------------
c     This package reads in the name of a logfile stem and
c     writes out xml files for all the histograms contained in the
c     associated logfile.
c
c     It assumes the appropriate directories have already been created
c     (done by the java code before this is called).
c
c     The steering files give the directory and filename of the input
c     files. 
c     ------------------------------------------------------

      IMPLICIT NONE

      INTEGER error

      INTEGER nwpawc, h, lenocc
      PARAMETER (nwpawc=5000000)
      COMMON/PAWC/h(nwpawc)

      CHARACTER*160 file

      CALL HLIMIT(nwpawc)

      error = 0

      WRITE(6,*) 'Log file stem and path?'
      READ(5,30) file
      WRITE(6,30) file
 30   FORMAT(A)
         
      file=file(1:LENOCC(file))//'.rz'
      WRITE(6,*) 'Looking for data in ',file

c     Do merging for EP data
      CALL MKXML(error,file)
      IF (error.NE.0) THEN
         WRITE(*,*) 'Error in MKXML ',error
         STOP
      ENDIF
      WRITE(*,*) 'Finished writing XML histogram files'
                        
      STOP
      END





