c
c     Return PDFLIB number of PDF for beam 1 or 2 (selected using ibeam)
c     Uses info (hzb1, hzb2, hzpdfpr, hzpdfph) in COMMON /HZCONTROL/
c
      INTEGER FUNCTION HZPDFSEL(ibeam)

      IMPLICIT NONE

#include "hzcontrol.inc"

      INTEGER ibeam
c     Length of cbeam should be same as length of hzb1 and hzb2 in hzcontrol.inc
      CHARACTER*8 cbeam

c     Default to 0
      hzpdfsel = 0

      IF (ibeam.EQ.1) THEN
         cbeam = hzb1
      ELSE IF (IBEAM.EQ.2) THEN
         cbeam = hzb2
      ELSE
         RETURN
      ENDIF

      IF (cbeam.EQ.'p'.OR.cbeam.EQ.'pbar') THEN
         hzpdfsel = hzpdfpr
      ELSE IF (cbeam.EQ.'e+'.OR.cbeam.EQ.'e-') THEN
         hzpdfsel = hzpdfph
      ENDIF

      RETURN
      END
